Subject: Re: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: martin rudalics <[email-masked]>
Date: Thu, 10 Dec 2020 12:52:26 +0100

>> All these scenarios are with customizations.  I'm not experienced enough
 >> to tell whether they (can) happen in practice.
 >
 > Do you refer to standard completion in minibuffer that it may be
 > customized to replace a present window with the completion instead of
 > opening new windows?
 >
 > That would be nice as I would like to avoid those jerks when there are
 > 2 horizontal windows and then third one appears for completion jerking
 > both of them up and narrowing those visible windows to almost
 > invisible rendering both of them unusable.

Doesn't it do that already?  Note that here and elsewhere I'm purely
speculating how application writers and users might tweak things.

 > In that case I would find it useful if the bottom window is
 > temporarily replaced with the completion, without opening the new
 > window for completion. If that would be the case then restoring
 > previous buffer that was there before replacement of window would be
 > necessary and useful.
 >
 > My complain came from those buffers changed by me, user, to something
 > else, that completion never even tackled. I have not even use
 > completion, just minibuffer, and above 2 horizontal windows get
 > restored even though I have not wanted it. By switching to other
 > buffer in those windows user said "I need that other buffer".

These should be already addressed by my earlier patch.  But Juri meant
that we have to handle completions windows separately since otherwise
they may persist.

 > But if the window is replaced with completion, I do not have any
 > window where I would switch the buffer. Or maybe it also works that
 > completion window is switched to something else. Labyrinth.
 >
 > Do you know how to make such setting to open up completion list in
 > such way to replace the bottom window instead of poping up with new
 > window?
 >
 > I cannot find any variable completion*wind

I hope Juri can.

martin